Access Keys:
Skip to content (Access Key - 0)
This documentation applies to an earlier version of Rhino SLEE. Click here to access the latest version.


1.2 Install Java (SDK)

Print this page

Oracle Java JDK 1.6.0_18 or greater

Rhino 2.2 supports Java 6
Rhino 2.2 is compliant with Java Version 1.6.0_18 32 bit and 64 bit. OpenCloud recommends this version of the Oracle Java 6 JVM

For Solaris installations, also apply the patches for Java available from the Java Downloads page of Oracle's website. These patches are required for correct operation of the JVM.

Check the Java version

Some machines may have old versions of Oracle Java, or versions of Java from different vendors. To check the the version of the Java installed in the system path, run java -version, for example:

$ java -version
java version "1.6.0_18"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.6.0_18-b03)
Java HotSpot(TM) Client VM (build 18.0-b16, mixed mode, sharing)
If the version reported is not the Oracle JVM 1.6 series, please download a more recent JDK from http://www.java.com/ and install before continuing.

Set the JAVA_HOME environment variable

Click the tabs below for instructions on configuring the JAVA_HOME environment variable to point to your Java installation under Linux/Solaris or Windows.

Adaptavist Theme Builder Powered by Atlassian Confluence